package com.pj.ht_byte;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: ht_byte -- 航通基础信息字节码表
 * @author yzs 
 */
@RestController
@RequestMapping("/HtByte/")
public class HtByteController {

	/** 底层 Service 对象 */
	@Autowired
	HtByteService htByteService;


	


	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(HtByte.PERMISSION_CODE)
	public AjaxJson getById(Integer id){
		HtByte h = htByteService.getById(id);
		return AjaxJson.getSuccessData(h);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(HtByte.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<HtByte> list = htByteService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
